uses
   Dos,
   TpDos;

type
   ExeHdr = record
      Signature : word;
      LastPageBytes : word;
      FilePages : word;
      RelocationCount : word;
      HeaderParas : word;
      MinAllocParas : word;
      MaxAllocParas : word;
      StackSegmentOffset : word;
      StackPointerInit : word;
      Checksum : word;
      InstructionPointerInit : word;
      CodeSegmentOffset : word;
      RelocationTablePointer : word;
      OverlayNumber : word;
      Padding : array[1..2] of word;
   end;

var
   F : file;
   T : text;
   Line : string;
   DataBytesAttached : longint;
   n : word;
   EH : ExeHdr;

begin
   assign(F,ParamStr(0));
   reset(F,1);
   BlockRead(F,EH,SizeOf(ExeHdr));
   close(F);

   if EH.Checksum <> 0 then
      DataBytesAttached := longint(EH.HeaderParas-EH.Checksum)*16
   else
      DataBytesAttached := 0;

   writeln(DataBytesAttached,' bytes of data attached');

   if DataBytesAttached = 0 then
      Halt(1);

   assign(T,ParamStr(0));
   reset(T);
   if TextSeek(T,longint(EH.Checksum) * 16) then;
   for n := 1 to 10 do
   begin
      readln(T,Line);
      writeln(Line);
   end;
   close(T);
end.
